Subject: Re: Build regressions/improvements in v6.12-rc3

From: Simon Horman <[email-masked]>
Date: Mon, 14 Oct 2024 11:29:00 +0100

On Mon, Oct 14, 2024 at 11:18:14AM +0200, Geert Uytterhoeven wrote:
> Hi Simon,
> 
> On Mon, Oct 14, 2024 at 10:58 AM Simon Horman <[email-masked]> wrote:
> > On Mon, Oct 14, 2024 at 10:38:20AM +0200, Geert Uytterhoeven wrote:
> > >   + /kisskb/src/drivers/net/ethernet/freescale/fs_enet/mii-bitbang.c: error: format '%x' expects argument of type 'unsigned int', but argument 4 has type 'resource_size_t {aka long long unsigned int}' [-Werror=format=]:  => 126:37
> > >   + /kisskb/src/drivers/net/ethernet/freescale/fs_enet/mii-bitbang.c: error: format '%x' expects argument of type 'unsigned int', but argument 4 has type 'resource_size_t' {aka 'long long unsigned int'} [-Werror=format=]:  => 126:46
> >
> > I wonder what the correct string format is in these cases?
> > I didn't have a good idea the last time I looked.
> 
> "%pa" + taking the address of the resource_size_t object.
> 
> https://elixir.bootlin.com/linux/v6.11.3/source/Documentation/core-api/printk-formats.rst#L229

Thanks,

These format problems seem to have been introduced quite some time ago
by commit 9d9326d3bc0e ("phy: Change mii_bus id field to a string").
I'll send some patches to address the ones introduced by that patch
that I was able to still find in-tree.